#!/usr/bin/env node

"use strict";

const budoExpress = require("budo-express");
const path = require("path");

budoExpress({
	port: 3500,
	allowUnsafeHost: true,
	expressApp: require("./app"),
	basePath: path.join(__dirname, "../.."),
	entryFiles: "src/client/index.jsx",
	staticPath: "src/static",
	bundlePath: "js/bundle.js",
	livereloadPattern: "**/*.{css,html,js,svg}",
	browserify: {
		extensions: [ ".jsx" ],
		transform: [
			[ "babelify", {
				presets: [ "@babel/preset-env", "@babel/preset-react" ]
			}]
		],
		plugin: [
			[ "icssify", {
				before: [
					require("postcss-nested"),
					require("postcss-nested-props"),
					require("autoprefixer"),
				]
			}],
			[ "css-extract", {
				out: "src/static/css/bundle.css"
			}]
		]
	}
});
